Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.edr.config
Class ConfigDescriptor

    java.lang.Object
      com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor

Direct Known Subclasses:
  AlarmConfigDescriptor, CdrConfigDescriptor, EdrConfigDescriptor

public abstract class ConfigDescriptor
extends Object

This class holds the information about the descriptor when reading the XML configuration file.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `CUSTOM_ATTRIBUTE`
`static String` | `CUSTOM_ATTRIBUTE_KEY`
`static String` | `CUSTOM_ATTRIBUTE_VALUE`
`static String` | `PART_DATA`
`static String` | `PART_FILTER`

Constructor Summary
`ConfigDescriptor()` Constructor

Method Summary
`void` | `addDataAttribute(String key, String value)`
`void` | `addFilterAttribute(String key, String value)` Adds the filter key/value pair of the element
`void` | `addSource(ConfigDescriptorSource descriptorSource)` Adds the filter source element ( or )
`boolean` | `canBeCached()` Returns true if this descriptor can be cached
`String` | `getDataAttribute(String name)`
`Map` | `getFilterAttributes()`
`String` | `getName()`
`int` | `getPosition()` Gets the position of this descriptor relative to its xml configuration file
`List` | `getSources()`
`boolean` | `isMatching(EdrData edr)` Returns true if the EdrData is matching this descriptor, false otherwise.
`void` | `setDataAttributes(Attributes attributes)` Adds the data attribute.
`void` | `setName(String name)` Name of the descriptor (i.e.
`void` | `setPosition(int position)` Sets the position of this descriptor relative to its xml configuration file
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CUSTOM_ATTRIBUTE

    public static final String CUSTOM_ATTRIBUTE

See Also:
  Constant Field Values

### CUSTOM_ATTRIBUTE_KEY

    public static final String CUSTOM_ATTRIBUTE_KEY

See Also:
  Constant Field Values

### CUSTOM_ATTRIBUTE_VALUE

    public static final String CUSTOM_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### PART_DATA

    public static final String PART_DATA

See Also:
  Constant Field Values

### PART_FILTER

    public static final String PART_FILTER

See Also:
  Constant Field Values

Constructor Detail

### ConfigDescriptor

    public ConfigDescriptor()

  Constructor

Method Detail

### addDataAttribute

    public void addDataAttribute(String key,
                                 String value)

### addFilterAttribute

    public void addFilterAttribute(String key,
                                   String value)

  Adds the filter key/value pair of the element

### addSource

    public void addSource(ConfigDescriptorSource descriptorSource)

  Adds the filter source element ( or )

### canBeCached

    public boolean canBeCached()

  Returns true if this descriptor can be cached

### getDataAttribute

    public String getDataAttribute(String name)

### getFilterAttributes

    public Map getFilterAttributes()

### getName

    public String getName()

### getPosition

    public int getPosition()

  Gets the position of this descriptor relative to its xml configuration file

### getSources

    public List getSources()

### isMatching

    public boolean isMatching(EdrData edr)

  Returns true if the EdrData is matching this descriptor, false otherwise.

  Parameters:
    `edr` - The EdrData object
  Returns:
    true if the EdrData object matches this descriptor

### setDataAttributes

    public void setDataAttributes(Attributes attributes)

  Adds the data attribute.

### setName

    public void setName(String name)

  Name of the descriptor (i.e. 'edr', 'alarm' or 'cdr')

  Parameters:
    `name` -

### setPosition

    public void setPosition(int position)

  Sets the position of this descriptor relative to its xml configuration file

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD